%global prerelease 10
%global beta beta
%global drupaldir %{_datadir}/drupal6
Name:      drupal6-imagecache
Version:   2.0
Release:   0.3.%{beta}%{prerelease}%{?dist}
Summary:   ImageCache allows you to setup presets for image processing

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/imagecache
Source0:   http://ftp.drupal.org/files/projects/imagecache-6.x-%{version}-beta10.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-imageapi

%description
ImageCache allows you to setup presets for image processing.
If an ImageCache derivative doesn't exist the web server's rewrite rules
will pass the request to Drupal which in turn hands it off
to ImageCache to dynamically generate the file.

%prep
%setup -qn imagecache
chmod -x imagecache.module
chmod -x translations/*.*
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/imagecache
cp -pr * %{buildroot}%{drupaldir}/modules/imagecache

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt INSTALL.txt UPGRADE.txt
%dir %{drupaldir}/modules/imagecache
%{drupaldir}/modules/imagecache/imagecache*
%{drupaldir}/modules/imagecache/tests
%{drupaldir}/modules/imagecache/sample.png

%dir %{drupaldir}/modules/imagecache/translations
%lang(de) %{drupaldir}/modules/imagecache/translations/de.po
%lang(fr) %{drupaldir}/modules/imagecache/translations/fr.po
%lang(ja) %{drupaldir}/modules/imagecache/translations/ja.po
%lang(nl) %{drupaldir}/modules/imagecache/translations/nl.po
%exclude %{drupaldir}/modules/imagecache/*.txt

%changelog
* Mon Jan 31 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.3.beta10
- Version macro is added.
- Lang macro is also added.

* Mon Jan 24 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.2.beta10
- Changed License to GPLv2+.
- Chmod and cp are copied under prep section.
- Fixed exclude lines.

* Thu Nov 23 2010 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.1.beta10
- Initial packaging.
